/*
 Navicat Premium Data Transfer

 Source Server         : saiyi
 Source Server Type    : SQLite
 Source Server Version : 3021000
 Source Schema         : main

 Target Server Type    : SQLite
 Target Server Version : 3021000
 File Encoding         : 65001

 Date: 20/08/2020 11:51:47
*/

PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for normal
-- ----------------------------
DROP TABLE IF EXISTS "commission";
CREATE TABLE "commission" (
  "id" integer NOT NULL COLLATE BINARY PRIMARY KEY AUTOINCREMENT,
  "month" text,       -- 计提月份
  "company"	text,       -- 公司名称
  "contract_no"	text,       -- 合同号
  "goods_category"	text,       -- 产品类别
  "goods_type"	text,       -- 产品型号
  "amount"	real,       -- 数量（KG）
  "price"	real,       -- 单价(元)
  "contract_value"	real,       -- 合同额(元)
  "receive_money"	real,       -- 收款金额(元)
  "period_balance"	real,       -- 上期结余(元)
  "agency"	real,       -- 代理费(元)
  "base_price"	real,       -- 基准单价/公司低价(元)
  "shipping"	real,       -- 货物运输费(元)
  "project"	real,       -- 工程费成本(元)
  "type" integer,    -- 提成类型 0,正常; 1,特批1; 2,特批2
  "seller"	text        -- 销售员
);



-- ----------------------------
-- Auto increment value for normal
-- ----------------------------

PRAGMA foreign_keys = true;
